diff -Naur maia.orig/Makefile maia/Makefile
--- maia.orig/Makefile	2010-12-15 18:34:01.000000000 -0800
+++ maia/Makefile	2011-08-21 14:37:22.000000000 -0700
@@ -1,51 +1,67 @@
-# New ports collection makefile for:    maia
+# Ports collection Makefile for:    maia
 # Date created:                         03 Jan 2008
 # Whom:                                 Janky Jay <ek@purplehat.org>
 #
 # $FreeBSD: ports/security/maia/Makefile,v 1.7 2010/12/16 02:34:01 glarkin Exp $
 #
-# Based on amavisd-new ports makefile.
 
 PORTNAME=	maia
-PORTVERSION=	1.0.2a
-PORTREVISION=	4
+PORTVERSION=	1.0.3.${SVNREVISION}
 CATEGORIES=	security
 MASTER_SITES=	http://www.purplehat.org/downloads/maia/
+DISTNAME=	${PORTNAME}-1.0.3-r${SVNREVISION}
 
 MAINTAINER=	ek@purplehat.org
 COMMENT=	A web-based management system based on amavisd-new and SpamAssassin
 
-RUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Unix/Syslog.pm:${PORTSDIR}/sysutils/p5-Unix-Syslog \
-		${SITE_PERL}/MIME/Parser.pm:${PORTSDIR}/mail/p5-MIME-Tools \
-		${SITE_PERL}/Convert/TNEF.pm:${PORTSDIR}/converters/p5-Convert-TNEF \
+RUN_DEPENDS=	p5-Unix-Syslog>=0.94:${PORTSDIR}/sysutils/p5-Unix-Syslog \
+		p5-MIME-Tools>=4.116:${PORTSDIR}/mail/p5-MIME-Tools \
+		p5-Convert-TNEF>=0.08:${PORTSDIR}/converters/p5-Convert-TNEF \
 		p5-Convert-UUlib>=1.08,1:${PORTSDIR}/converters/p5-Convert-UUlib \
-		${SITE_PERL}/Archive/Zip.pm:${PORTSDIR}/archivers/p5-Archive-Zip \
-		${SITE_PERL}/IO/Wrap.pm:${PORTSDIR}/devel/p5-IO-stringy \
-		${SITE_PERL}/IO/Socket/INET6.pm:${PORTSDIR}/net/p5-IO-Socket-INET6 \
-		${SITE_PERL}/${PERL_ARCH}/Data/UUID.pm:${PORTSDIR}/devel/p5-Data-UUID \
-		${SITE_PERL}/${PERL_ARCH}/Template.pm:${PORTSDIR}/www/p5-Template-Toolkit \
+		p5-Net-CIDR-Lite>=0.18:${PORTSDIR}/net/p5-Net-CIDR-Lite \
+		p5-forks>=0.34:${PORTSDIR}/devel/p5-forks \
+		p5-Archive-Zip>=0.10:${PORTSDIR}/archivers/p5-Archive-Zip \
+		p5-IO-stringy>=1.203:${PORTSDIR}/devel/p5-IO-stringy \
+		p5-IO-Socket-INET6>=1.27:${PORTSDIR}/net/p5-IO-Socket-INET6 \
+		p5-Text-CSV>=1.02:${PORTSDIR}/textproc/p5-Text-CSV \
+		p5-Data-UUID>=1.148:${PORTSDIR}/devel/p5-Data-UUID \
+		p5-Template-Toolkit>=2.13:${PORTSDIR}/www/p5-Template-Toolkit \
 		p5-Net-Server>=0.93:${PORTSDIR}/net/p5-Net-Server
 
+# SVN source: https://www.maiamailguard.com/svn/branches/1.0
+SVNREVISION=	1575
 USE_PERL5_RUN=	5.8.2+
-
 NO_BUILD=	yes
 
-DOCS=	LICENSE README amavisd.conf.dist maia-mysql.sql maia-pgsql.sql maia.conf.dist
+DOCS=	LICENSE README maiad.conf.dist maia-mysql.sql maia-pgsql.sql maia.conf.dist
 
-MAIAUSER?=	vscan
-MAIAGROUP?=	vscan
-MAIADIR?=	/var/amavisd
-MAIAQUARANTINE?=	/var/amavisd/virusmails
-
-OPTIONS=	BDB	"Use BerkeleyDB"	on \
-		MYSQL	"Use MySQL"		on \
-		PGSQL	"Use PgSQL"		off \
+USERS=	vscan
+GROUPS=	vscan
+MAIADIR?=	/var/maiad
+MAIAQUARANTINE?=	/var/maiad/virusmails
+PEAR_DIR?=	${LOCALBASE}/share/pear
+
+OPTIONS=	APACHE	"Use Apache web server"	off\
+		LIGHTTPD	"Use LighTTPD web server"	off \
+		WEBHOST	"PHP, PEAR, etc... for Maia web interface"	off \
+		MYSQL	"Use MySQL datebase"		on \
+		MYSQLSERVER	"Install MySQL Server"	on \
+		PGSQL	"Use PgSQL database"		off \
+		PGSQLSERVER	"Install PGSQL Server"	off \
+		DOVECOT	"Use Dovecot IMAP/POP3"	on \
+		POSTFIX	"Use Postfix MTA"	on \
+		PFA	"Use Postfixadmin"	off \
+		FUZZYOCR	"Use FuzzyOcr"	off \
+		CLAMAV	"Use ClamAV anti-virus"	on \
 		SPAMASSASSIN	"Use SpamAssassin"	on \
+		GRAPHICS	"Enable pie chart stats"	off \
+		BDB	"Use BerkeleyDB"	on \
 		ALTERMIME	"Use AlterMime"	off \
-		CRYPT	"Encryption support"	on \
+		CRYPT	"Encryption support"	off \
 		IPCOUNTRY	"SpamAssassin IP Country plugin"	on \
 		DOMAINKEYS	"SpamAssassin DomainKey plugin"	on \
-		SPFQUERY	"SpamAssassin SPF Query plugin"	on \
+		SPF	"SpamAssassin SPF plugin"	on \
+		DKIM	"SpamAssassin DKIM plugin"	on \
 		FILE	"Use newer file(1) utility from ports"	on \
 		RAR	"RAR support with archivers/rar"	off \
 		UNRAR	"RAR support with archivers/unrar"	on \
@@ -58,44 +74,115 @@
 		RPM	"RPM support with archivers/rpm2cpio"	on \
 		ZOO	"ZOO support with archivers/zoo"	on \
 		UNZOO	"ZOO support with archivers/unzoo"	off \
-		LZOP	"LZOP support with archivers/lzop"	on \
+		LZOP	"LZOP support with archivers/lzop"	off \
 		FREEZE	"FREEZE support with archivers/freeze"	on \
 		P7ZIP	"P7ZIP support with archivers/p7zip"	on \
-		TNEF	"Add external tnef decoder converters/tnef"	off
+		TNEF	"Add external tnef decoder"	off
 
 SUB_FILES=	pkg-install pkg-deinstall pkg-message
-
-SUB_LIST+=	MAIAUSER=${MAIAUSER} \
-		MAIAGROUP=${MAIAGROUP} \
+SUB_LIST+=	MAIAUSER=${USERS} \
+		MAIAGROUP=${GROUPS} \
 		MAIADIR=${MAIADIR} \
 		MAIAQUARANTINE=${MAIAQUARANTINE}
+USE_RC_SUBR+=	maiad.sh
 
-.include <bsd.port.pre.mk>
+.include <bsd.port.options.mk>
 
-.if ${PERL_LEVEL} < 500903
-RUN_DEPENDS+=	p5-IO-Compress>=2.017:${PORTSDIR}/archivers/p5-IO-Compress
+# Code is a bit fiddly here; we can't use USE variables after pre.mk so we have
+# to duplicate some WITH_ parts like WEBHOST that use pre.mk vars as well as
+# setting USE_ variables. C'est la vie.
+
+.if defined(WITH_APACHE)
+USE_APACHE=	2.0+
 .endif
 
-USE_RC_SUBR+=	maia.sh
+.if defined(WITH_WEBHOST)
+USE_PHP=	bcmath ctype dom gettext hash iconv imap json mbstring \
+		mcrypt pdo pdo_sqlite posix session simplexml sockets \
+		sqlite tokenizer xml wddx xmlreader xmlwriter xmlrpc
+.endif
 
-.if defined(WITH_BDB)
-RUN_DEPENDS+=	${SITE_PERL}/${PERL_ARCH}/BerkeleyDB.pm:${PORTSDIR}/databases/p5-BerkeleyDB
+.if defined(WITH_MYSQL)
+USE_MYSQL=	yes
+USE_PHP+=	mysql mysqli
+.endif
+
+.if defined(WITH_PGSQL)
+USE_PGSQL=	yes
+USE_PHP+=	pgsql
+.endif
+
+.include <bsd.port.pre.mk>
+
+.if defined(WITH_LIGHTTPD)
+RUN_DEPENDS+=	lighttpd:${PORTSDIR}/www/lighttpd
+.endif
+
+.if defined(WITH_WEBHOST)
+RUN_DEPENDS+=	${PEAR_DIR}/Mail/mime.php:${PORTSDIR}/mail/pear-Mail_Mime \
+		${PEAR_DIR}/Mail/mimeDecode.php:${PORTSDIR}/mail/pear-Mail_mimeDecode \
+		${PEAR_DIR}/DB.php:${PORTSDIR}/databases/pear-DB \
+		${PEAR_DIR}/Pager/Pager.php:${PORTSDIR}/devel/pear-Pager \
+		${PEAR_DIR}/Net/Socket.php:${PORTSDIR}/net/pear-Net_Socket \
+		${PEAR_DIR}/Net/SMTP.php:${PORTSDIR}/net/pear-Net_SMTP \
+		${PEAR_DIR}/Log.php:${PORTSDIR}/sysutils/pear-Log \
+		${LOCALBASE}/share/smarty/Smarty.class.php:${PORTSDIR}/www/smarty
 .endif
 
 .if defined(WITH_MYSQL)
 RUN_DEPENDS+=	${SITE_PERL}/${PERL_ARCH}/DBD/mysql.pm:${PORTSDIR}/databases/p5-DBD-mysql
 .endif
 
+.if defined(WITH_MYSQLSERVER)
+RUN_DEPENDS+=	${LOCALBASE}/bin/mysqld_safe:${PORTSDIR}/databases/mysql55-server
+.endif
+
 .if defined(WITH_PGSQL)
 RUN_DEPENDS+=	${SITE_PERL}/${PERL_ARCH}/DBD/Pg.pm:${PORTSDIR}/databases/p5-DBD-Pg
 .endif
 
+.if defined(WITH_PGSQLSERVER)
+RUN_DEPENDS+=	${LOCALBASE}/bin/pg_ctl:${PORTSDIR}/databases/postgresql84-server
+.endif
+
+.if defined(WITH_DOVECOT)
+RUN_DEPENDS+=	dovecot:${PORTSDIR}/mail/dovecot
+.endif
+
+.if defined(WITH_POSTFIX)
+RUN_DEPENDS+=	postfix:${PORTSDIR}/mail/postfix
+.endif
+
+.if defined(WITH_PFA)
+RUN_DEPENDS+=	${LOCALBASE}/www/postfixadmin/config.inc.php:${PORTSDIR}/mail/postfixadmin
+.endif
+
+.if defined(WITH_FUZZYOCR)
+RUN_DEPENDS+=	${SITE_PERL}/Mail/SpamAssassin/Plugin/FuzzyOcr.pm:${PORTSDIR}/mail/p5-FuzzyOcr-devel
+.endif
+
+.if defined(WITH_CLAMAV)
+RUN_DEPENDS+=	clamd:${PORTSDIR}/security/clamav
+.endif
+
 .if defined(WITH_SPAMASSASSIN)
 RUN_DEPENDS+=	${SITE_PERL}/Mail/SpamAssassin.pm:${PORTSDIR}/mail/p5-Mail-SpamAssassin
 .endif
 
+.if defined(WITH_GRAPHICS)
+RUN_DEPENDS+=	${PEAR_DIR}/Image/Color.php:${PORTSDIR}/graphics/pear-Image_Color \
+		${PEAR_DIR}/Image/Canvas.php:${PORTSDIR}/graphics/pear-Image_Canvas \
+		${PEAR_DIR}/Image/Graph.php:${PORTSDIR}/graphics/pear-Image_Graph \
+		${PEAR_DIR}/Numbers/Roman.php:${PORTSDIR}/textproc/pear-Numbers_Roman \
+		${PEAR_DIR}/Numbers/Words.php:${PORTSDIR}/textproc/pear-Numbers_Words
+.endif
+
+.if defined(WITH_BDB)
+RUN_DEPENDS+=	${SITE_PERL}/${PERL_ARCH}/BerkeleyDB.pm:${PORTSDIR}/databases/p5-BerkeleyDB
+.endif
+
 .if defined(WITH_ALTERMIME)
-RUN_DEPENDS+=	${LOCALBASE}/bin/altermime:${PORTSDIR}/mail/altermime
+RUN_DEPENDS+=	altermime:${PORTSDIR}/mail/altermime
 .endif
 
 .if defined(WITH_CRYPT)
@@ -112,8 +199,12 @@
 RUN_DEPENDS+=	${SITE_PERL}/Mail/DomainKeys.pm:${PORTSDIR}/mail/p5-Mail-DomainKeys
 .endif
 
-.if defined(WITH_SPFQUERY)
-RUN_DEPENDS+=	${SITE_PERL}/Mail/SPF/Query.pm:${PORTSDIR}/mail/p5-Mail-SPF-Query
+.if defined(WITH_SPF)
+RUN_DEPENDS+=	${SITE_PERL}/Mail/SPF.pm:${PORTSDIR}/mail/p5-Mail-SPF
+.endif
+
+.if defined(WITH_DKIM)
+RUN_DEPENDS+=	${SITE_PERL}/Mail/DKIM.pm:${PORTSDIR}/mail/p5-Mail-DKIM
 .endif
 
 .if defined(WITH_FILE)
@@ -124,42 +215,41 @@
 # archviers/rar is a 32-bit binary port, we don't want the install to fail
 # at that port, therefore we will block instantly here if the platform does
 # not suit rar.
-
 .if defined(WITH_RAR)
 IA32_BINARY_PORT=	yes
-RUN_DEPENDS+=	${LOCALBASE}/bin/rar:${PORTSDIR}/archivers/rar
+RUN_DEPENDS+=	rar:${PORTSDIR}/archivers/rar
 .endif
 
 .if defined(WITH_UNRAR)
-RUN_DEPENDS+=	${LOCALBASE}/bin/unrar:${PORTSDIR}/archivers/unrar
+RUN_DEPENDS+=	unrar:${PORTSDIR}/archivers/unrar
 .endif
 
 .if defined(WITH_ARJ)
-RUN_DEPENDS+=	${LOCALBASE}/bin/arj:${PORTSDIR}/archivers/arj
+RUN_DEPENDS+=	arj:${PORTSDIR}/archivers/arj
 .endif
 
 .if defined(WITH_UNARJ)
-RUN_DEPENDS+=	${LOCALBASE}/bin/unarj:${PORTSDIR}/archivers/unarj
+RUN_DEPENDS+=	unarj:${PORTSDIR}/archivers/unarj
 .endif
 
 .if defined(WITH_LHA)
-RUN_DEPENDS+=	${LOCALBASE}/bin/lha:${PORTSDIR}/archivers/lha
+RUN_DEPENDS+=	lha:${PORTSDIR}/archivers/lha
 .endif
 
 .if defined(WITH_ARC)
-RUN_DEPENDS+=	${LOCALBASE}/bin/arc:${PORTSDIR}/archivers/arc
+RUN_DEPENDS+=	arc:${PORTSDIR}/archivers/arc
 .endif
 
 .if defined(WITH_NOMARCH)
-RUN_DEPENDS+=	${LOCALBASE}/bin/nomarch:${PORTSDIR}/archivers/nomarch
+RUN_DEPENDS+=	nomarch:${PORTSDIR}/archivers/nomarch
 .endif
 
 .if defined(WITH_CAB)
-RUN_DEPENDS+=	${LOCALBASE}/bin/cabextract:${PORTSDIR}/archivers/cabextract
+RUN_DEPENDS+=	cabextract:${PORTSDIR}/archivers/cabextract
 .endif
 
 .if defined(WITH_RPM)
-RUN_DEPENDS+=	${LOCALBASE}/bin/rpm2cpio.pl:${PORTSDIR}/archivers/rpm2cpio
+RUN_DEPENDS+=	rpm2cpio.pl:${PORTSDIR}/archivers/rpm2cpio
 .endif
 
 .if defined(WITH_ZOO)
@@ -172,82 +262,87 @@
 .endif
 
 .if defined(WITH_LZOP)
-RUN_DEPENDS+=	${LOCALBASE}/bin/lzop:${PORTSDIR}/archivers/lzop
+RUN_DEPENDS+=	lzop:${PORTSDIR}/archivers/lzop
 .endif
 
 .if defined(WITH_FREEZE)
-RUN_DEPENDS+=	${LOCALBASE}/bin/unfreeze:${PORTSDIR}/archivers/freeze
+RUN_DEPENDS+=	unfreeze:${PORTSDIR}/archivers/freeze
 .endif
 
 .if defined(WITH_P7ZIP)
-RUN_DEPENDS+=	${LOCALBASE}/bin/7zr:${PORTSDIR}/archivers/p7zip
+RUN_DEPENDS+=	7zr:${PORTSDIR}/archivers/p7zip
 .endif
 
 .if defined(WITH_TNEF)
-RUN_DEPENDS+=	${LOCALBASE}/bin/tnef:${PORTSDIR}/converters/tnef
+RUN_DEPENDS+=	tnef:${PORTSDIR}/converters/tnef
 .endif
 
 post-patch:
-.for f in amavisd.conf.dist amavisd-maia
+.for f in maiad.conf.dist maiad
 	@${REINPLACE_CMD} "s@'zoo'\]@['zoo','unzoo'] ]@" ${WRKSRC}/${f}
 .endfor
-.for i in amavisd.conf.dist amavisd-maia
-	@${REINPLACE_CMD} -e "s|$daemon_user  = \'amavis\';|$daemon_user  = \'${MAIAUSER}\';|" \
-		-e "s|$daemon_group = \'amavis\';|$daemon_group = \'${MAIAGROUP}\';|" \
+.for i in maiad.conf.dist maiad
+	@${REINPLACE_CMD} -e "s|$daemon_user  = \'amavis\';|$daemon_user  = \'${USERS}\';|" \
+		-e "s|$daemon_group = \'amavis\';|$daemon_group = \'${GROUPS}\';|" \
 		-e 's|$$log_level = 0;|$$log_level = 1;|' \
-		-e 's|/etc/amavisd.conf|${PREFIX}/etc/amavisd.conf|' \
+		-e 's|/etc/maiad.conf|${PREFIX}/etc/maiad.conf|' \
 		-e "s|/var/virusmails|${MAIAQUARANTINE}|" ${WRKSRC}/${i}
 .endfor
-.for f in amavisd-maia amavisd.conf.dist maia.conf.dist scripts/send-quarantine-digests.pl \
+.for f in maiad maiad.conf.dist maia.conf.dist scripts/send-quarantine-digests.pl \
 	scripts/process-quarantine.pl scripts/load-sa-rules.pl
-		@${REINPLACE_CMD} "s|/var/amavisd|${MAIADIR}|" ${WRKSRC}/${f}
+		@${REINPLACE_CMD} "s|/var/maiad|${MAIADIR}|" ${WRKSRC}/${f}
 .endfor
-.for i in maia.conf.dist scripts/expire-quarantine-cache.pl scripts/stats-snapshot.pl \
+.for i in maiad maia.conf.dist scripts/expire-quarantine-cache.pl scripts/stats-snapshot.pl \
 	scripts/maiadbtool.pl scripts/configtest.pl scripts/send-quarantine-reminders.pl \
 	scripts/send-quarantine-digests.pl scripts/process-quarantine.pl \
-	scripts/load-sa-rules.pl scripts/process-quarantine-sub.pl
-		@${REINPLACE_CMD} "s|/etc/maia.conf|${PREFIX}/etc/maia.conf|" ${WRKSRC}/${i}
+	scripts/load-sa-rules.pl
+		@${REINPLACE_CMD} "s|/etc/maia/maia.conf|${PREFIX}/etc/maia.conf|" ${WRKSRC}/${i}
 .endfor
 
 pre-install:
-	${FIND} ${WRKSRC} -name '*.bak' -delete
+	@${FIND} -E ${WRKSRC} -iregex '.*(bak|~)$$' -delete
 	@${SH} ${PKGINSTALL} ${DISTNAME} PRE-INSTALL
 
 do-install:
 	@${INSTALL} -d ${WWWDIR}
-	cd ${WRKSRC}/php && ${FIND} . | ${CPIO} --quiet -pdm -L ${WWWDIR}
-	cd ${WRKSRC}/scripts && ${FIND} . | ${CPIO} --quiet -pdm -L ${MAIADIR}/maia/scripts
-	cd ${WRKSRC}/templates && ${FIND} . | ${CPIO} --quiet -pdm -L ${MAIADIR}/maia/templates
+	@cd ${WRKSRC}/php && ${FIND} . | ${CPIO} --quiet -pdm -L ${WWWDIR}
+	@cd ${WRKSRC}/scripts && ${FIND} . | ${CPIO} --quiet -pdm -L ${MAIADIR}/maia/scripts
+	@cd ${WRKSRC}/templates && ${FIND} . | ${CPIO} --quiet -pdm -L ${MAIADIR}/maia/templates
 
-.for i in amavisd-maia
-	${INSTALL_SCRIPT} ${WRKSRC}/${i} ${PREFIX}/sbin
+.for i in maiad
+	@${INSTALL_SCRIPT} ${WRKSRC}/${i} ${PREFIX}/sbin
 .endfor
-	${INSTALL_SCRIPT} -m 640 ${WRKSRC}/amavisd.conf.dist ${PREFIX}/etc/amavisd.conf.dist
-	${INSTALL_SCRIPT} -m 640 ${WRKSRC}/maia.conf.dist ${PREFIX}/etc/maia.conf.dist
+	@${INSTALL_SCRIPT} -m 640 ${WRKSRC}/maiad.conf.dist ${PREFIX}/etc/maiad.conf.dist
+	@${INSTALL_SCRIPT} -m 640 ${WRKSRC}/maia.conf.dist ${PREFIX}/etc/maia.conf.dist
 #
 #  This can contain sensitive information, e.g. SQL passwords, so it should be handled
 #  with care.
 #
 .if !exists(${PREFIX}/www/${PORTNAME}/config.php)
-	${INSTALL} -o ${WWWOWN} -g ${WWWGRP} -m 640 ${WRKSRC}/php/config.php.dist \
+	@${INSTALL} -o ${WWWOWN} -g ${WWWGRP} -m 640 \
+		${WRKSRC}/php/config.php.dist \
 		${PREFIX}/www/${PORTNAME}/config.php
 .endif
 .if !defined(NOPORTDOCS)
 	@${MKDIR} ${DOCSDIR}
 .for i in ${DOCS}
-	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
+	@${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}
 .endfor
 .endif
+
 post-install:
-	@if [ ! -f ${PREFIX}/etc/amavisd.conf ]; then \
-	${CP} -p ${PREFIX}/etc/amavisd.conf.dist ${PREFIX}/etc/amavisd.conf ; fi
-	@if [ ! -f ${PREFIX}/etc/maia.conf ]; then \
-	${CP} -p ${PREFIX}/etc/maia.conf.dist ${PREFIX}/etc/maia.conf ; fi
+.for maiaconf in maia maiad
+	@if [ ! -f ${PREFIX}/etc/${maiaconf}.conf ]; then \
+		${CP} -p ${PREFIX}/etc/${maiaconf}.conf.dist \
+		${PREFIX}/etc/${maiaconf}.conf ; \
+	fi
+	@${CHOWN} ${USERS}:${GROUPS} ${PREFIX}/etc/${maiaconf}.conf
+.endfor
 	@${CHOWN} -R ${WWWOWN}:${WWWGRP} ${WWWDIR}
-	@${CHOWN} -R ${MAIAUSER}:${MAIAGROUP} ${MAIADIR}/
+	@${CHOWN} -R ${USERS}:${GROUPS} ${MAIADIR}/
 	@${ECHO_CMD} '@exec ${CHOWN} -R ${WWWOWN}:${WWWGRP} ${WWWDIR}' >> ${TMPPLIST}
-	@${ECHO_CMD} '@exec ${CHOWN} -R ${MAIAUSER}:${MAIAGROUP} ${MAIADIR}' >> ${TMPPLIST}
-	${LN} -s ${PREFIX}/share/smarty ${PREFIX}/www/${PORTNAME}/libs/Smarty
+	@${ECHO_CMD} '@exec ${CHOWN} -R ${USERS}:${GROUPS} ${MAIADIR}' >> ${TMPPLIST}
+	@${LN} -s ${PREFIX}/share/smarty ${PREFIX}/www/${PORTNAME}/libs/Smarty
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
diff -Naur maia.orig/distinfo maia/distinfo
--- maia.orig/distinfo	2011-07-03 07:02:57.000000000 -0700
+++ maia/distinfo	2011-08-20 12:52:37.000000000 -0700
@@ -1,2 +1,2 @@
-SHA256 (maia-1.0.2a.tar.gz) = eca2816d42df78f1aae287de3aa7537d89827e41d3f01101f4deb5857793c124
-SIZE (maia-1.0.2a.tar.gz) = 1567568
+SHA256 (maia-1.0-r1575.tar.gz) = da82c256752f88f363445a688d8f877f17df1d9395f7f1aeb6db2bb61900dcd9
+SIZE (maia-1.0-r1575.tar.gz) = 2273711
diff -Naur maia.orig/files/.placeholder maia/files/.placeholder
--- maia.orig/files/.placeholder	2008-01-19 22:38:05.000000000 -0800
+++ maia/files/.placeholder	1969-12-31 16:00:00.000000000 -0800
@@ -1 +0,0 @@
-This is a placeholder for an empty directory. 
diff -Naur maia.orig/files/maia.sh.in maia/files/maia.sh.in
--- maia.orig/files/maia.sh.in	2010-03-26 17:14:44.000000000 -0700
+++ maia/files/maia.sh.in	1969-12-31 16:00:00.000000000 -0800
@@ -1,46 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD: ports/security/maia/files/maia.sh.in,v 1.2 2010/03/27 00:14:44 dougb Exp $
-#
-# PROVIDE: maia
-# REQUIRE: LOGIN
-# KEYWORD: shutdown
-#
-# Add the following lines to /etc/rc.conf to enable maia:
-# maia_enable (bool):		Set it to "YES" to enable maia.
-#				Default is "NO".
-#
-
-. /etc/rc.subr
-
-name="maia"
-rcvar=${name}_enable
-
-load_rc_config $name
-
-: ${maia_enable="NO"}
-: ${maia_pidfile="%%MAIADIR%%/amavisd.pid"}
-
-required_files=%%PREFIX%%/etc/amavisd.conf
-
-start_cmd=${name}_start
-stop_cmd=${name}_stop
-
-pidfile=${maia_pidfile}
-procname=${maia_procname}
-
-start_precmd=${name}_prestart
-
-maia_prestart() {
-	rm -rf %%MAIADIR%%/tmp/* %%MAIADIR%%/tmp/.* 2>/dev/null || true
-}
-
-maia_start() {
-	%%PREFIX%%/sbin/amavisd-maia start
-}
-
-maia_stop() {
-	%%PREFIX%%/sbin/amavisd-maia stop
-}
-
-run_rc_command "$1"
diff -Naur maia.orig/files/maiad.sh.in maia/files/maiad.sh.in
--- maia.orig/files/maiad.sh.in	1969-12-31 16:00:00.000000000 -0800
+++ maia/files/maiad.sh.in	2011-08-20 14:27:31.000000000 -0700
@@ -0,0 +1,46 @@
+#!/bin/sh
+#
+# $FreeBSD: ports/security/maia/files/maiad.sh.in,v 1.2 2010/03/27 00:14:44 dougb Exp $
+#
+# PROVIDE: maiad
+# REQUIRE: LOGIN
+# KEYWORD: shutdown
+#
+# Add the following lines to /etc/rc.conf to enable maiad:
+# maiad_enable (bool):		Set it to "YES" to enable maiad.
+#				Default is "NO".
+#
+
+. /etc/rc.subr
+
+name="maiad"
+rcvar=${name}_enable
+
+load_rc_config $name
+
+: ${maiad_enable="NO"}
+: ${maiad_pidfile="%%MAIADIR%%/maiad.pid"}
+
+required_files=%%PREFIX%%/etc/maiad.conf
+
+start_cmd=${name}_start
+stop_cmd=${name}_stop
+
+pidfile=${maiad_pidfile}
+procname=${maiad_procname}
+
+start_precmd=${name}_prestart
+
+maiad_prestart() {
+	rm -rf %%MAIADIR%%/tmp/* %%MAIADIR%%/tmp/.* 2>/dev/null || true
+}
+
+maiad_start() {
+	%%PREFIX%%/sbin/maiad start
+}
+
+maiad_stop() {
+	%%PREFIX%%/sbin/maiad stop
+}
+
+run_rc_command "$1"
diff -Naur maia.orig/files/pkg-deinstall.in maia/files/pkg-deinstall.in
--- maia.orig/files/pkg-deinstall.in	2008-01-19 22:38:05.000000000 -0800
+++ maia/files/pkg-deinstall.in	2011-08-21 14:18:29.000000000 -0700
@@ -3,26 +3,14 @@
 # $FreeBSD: ports/security/maia/files/pkg-deinstall.in,v 1.1 2008/01/20 06:38:05 beech Exp $
 #
 
-USER=%%MAIAUSER%%
-GROUP=%%MAIAGROUP%%
 DIR=%%MAIADIR%%
 QUARANTINE=%%MAIAQUARANTINE%%
 MAIAWEB=%%PREFIX%%/www/maia
 
 if [ "$2" = "POST-DEINSTALL" ]; then
-
-    if /usr/sbin/pw group show "${GROUP}" 2>&1 >/dev/null; then
-	echo "You should manually remove the \"${GROUP}\" group."
-    fi
-
-    if /usr/sbin/pw user show "${USER}" 2>&1 >/dev/null; then
-	echo "You should manually remove the \"${USER}\" user."
-    fi
-
     if [ -e ${DIR} ]; then
 	echo "You should manually remove the \"${DIR}\" directory."
     fi
-    
     if [ -e ${QUARANTINE} ]; then
       echo "You should manually remove the \"${QUARANTINE}\" directory."
     fi
diff -Naur maia.orig/files/pkg-install.in maia/files/pkg-install.in
--- maia.orig/files/pkg-install.in	2008-01-19 22:38:05.000000000 -0800
+++ maia/files/pkg-install.in	2011-08-21 14:19:38.000000000 -0700
@@ -9,37 +9,6 @@
 QUARANTINE=%%MAIAQUARANTINE%%
 
 if [ "$2" = "PRE-INSTALL" ]; then
-
-    if /usr/sbin/pw groupshow "${GROUP}" 2>/dev/null; then
-	echo "You already have a group \"${GROUP}\", so I will use it."
-    else
-	if /usr/sbin/pw groupadd ${GROUP} -h - -g 110
-	then
-	    echo "Added group \"${GROUP}\"."
-	else
-	    echo "Adding group \"${GROUP}\" failed..."
-	    echo "Please create it, and try again."
-	    exit 1
-	fi
-    fi
-
-    if /usr/sbin/pw user show "${USER}" 2>/dev/null; then
-	echo "You already have a user \"${USER}\", so I will use it."
-    else
-	if /usr/sbin/pw useradd ${USER} -g ${GROUP} -h - \
-	   -d ${DIR} \
-	   -s /bin/sh \
-	   -c "Scanning Virus Account" \
-	   -u 110
-	then
-	    echo "Added user \"${USER}\"."
-	else
-	    echo "Adding user \"${USER}\" failed..."
-	    echo "Please create it, and try again."
-	    exit 1
-	fi
-    fi
-
     /usr/bin/install -o ${USER} -g ${GROUP} -m 750 -d ${DIR}
     echo "Created \"${DIR}\" directory."
     /usr/bin/install -o ${USER} -g ${GROUP} -m 750 -d ${DIR}/db
diff -Naur maia.orig/files/pkg-message.in maia/files/pkg-message.in
--- maia.orig/files/pkg-message.in	2008-01-19 22:38:05.000000000 -0800
+++ maia/files/pkg-message.in	2011-08-21 14:21:05.000000000 -0700
@@ -4,16 +4,15 @@
  The following virus scanners are available in the FreeBSD ports
  collection:
  
- /usr/ports/security/vscan	McAfee VirusScan
- /usr/ports/security/clamav	Clam Antivirus
- /usr/ports/security/f-prot	F-Prot Antivirus
- /usr/ports/security/drweb	DrWeb antivirus suite
+    security/clamav	Clam Antivirus
+    security/f-prot	F-Prot Antivirus
+    security/drweb	DrWeb antivirus suite
 
  Enable Maia-Mailguard in /etc/rc.conf with the following line:
 
-    maia_enable="YES"
+    maiad_enable="YES"
 
  Configuration templates are available in %%PREFIX%%/etc
- as amavisd.conf.dist and maia.conf.dist.
+ as maia.conf.dist and maiad.conf.dist.
 *******************************************************************
 
diff -Naur maia.orig/pkg-plist maia/pkg-plist
--- maia.orig/pkg-plist	2008-12-16 08:02:00.000000000 -0800
+++ maia/pkg-plist	2011-08-20 14:28:31.000000000 -0700
@@ -1,21 +1,29 @@
-@unexec if cmp -s %D/etc/amavisd.conf.dist %D/etc/amavisd.conf; then rm -f %D/etc/amavisd.conf; fi
-etc/amavisd.conf.dist
-@exec if [ ! -f %D/etc/amavisd.conf ] ; then cp -p %D/%F %B/amavisd.conf; fi
+@unexec if cmp -s %D/etc/maiad.conf.dist %D/etc/maiad.conf; then rm -f %D/etc/maiad.conf; fi
+etc/maiad.conf.dist
+@exec if [ ! -f %D/etc/maiad.conf ] ; then cp -p %D/%F %B/maiad.conf; fi
 @unexec if cmp -s %D/etc/maia.conf.dist %D/etc/maia.conf; then rm -f %D/etc/maia.conf; fi
 etc/maia.conf.dist
 @exec if [ ! -f %D/etc/maia.conf ] ; then cp -p %D/%F %B/maia.conf; fi
-sbin/amavisd-maia
+etc/rc.d/maiad
+sbin/maiad
 %%PORTDOCS%%%%DOCSDIR%%/LICENSE
 %%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/amavisd.conf.dist
 %%PORTDOCS%%%%DOCSDIR%%/maia-mysql.sql
 %%PORTDOCS%%%%DOCSDIR%%/maia-pgsql.sql
 %%PORTDOCS%%%%DOCSDIR%%/maia.conf.dist
+%%PORTDOCS%%%%DOCSDIR%%/maiad.conf.dist
 %%WWWDIR%%/admin/configtest.php
 %%WWWDIR%%/admin/dblib.php
+%%WWWDIR%%/admin/internal-init.php
 %%WWWDIR%%/admin/schema.php
 %%WWWDIR%%/admin/scripts/0.php
 %%WWWDIR%%/admin/scripts/1.php
+%%WWWDIR%%/admin/scripts/10.php
+%%WWWDIR%%/admin/scripts/11.php
+%%WWWDIR%%/admin/scripts/12.php
+%%WWWDIR%%/admin/scripts/13.php
+%%WWWDIR%%/admin/scripts/14.php
+%%WWWDIR%%/admin/scripts/15.php
 %%WWWDIR%%/admin/scripts/2.php
 %%WWWDIR%%/admin/scripts/3.php
 %%WWWDIR%%/admin/scripts/4.php
@@ -43,13 +51,13 @@
 @unexec if cmp -s %D/www/maia/config.php.dist %D/www/maia/config.php; then rm -f %D/www/maia/config.php; fi
 %%WWWDIR%%/config.php.dist
 @exec if [ ! -f %D/www/maia/config.php ] ; then cp -p %D/%F %B/config.php; fi
+%%WWWDIR%%/config.php.dist
 %%WWWDIR%%/confirm.php
 %%WWWDIR%%/constants.php
 %%WWWDIR%%/core.php
 %%WWWDIR%%/display.php
 %%WWWDIR%%/domainsettings.php
 %%WWWDIR%%/encrypt.php
-%%WWWDIR%%/error.php
 %%WWWDIR%%/favicon.ico
 %%WWWDIR%%/help.php
 %%WWWDIR%%/images/admin-int.png
@@ -58,6 +66,7 @@
 %%WWWDIR%%/images/delete-item.png
 %%WWWDIR%%/images/help.png
 %%WWWDIR%%/images/logout.png
+%%WWWDIR%%/images/maia-logo-old.gif
 %%WWWDIR%%/images/maia-logotoolbar.gif
 %%WWWDIR%%/images/poweredbymaia.gif
 %%WWWDIR%%/images/quarantine.png
@@ -71,8 +80,150 @@
 %%WWWDIR%%/index.php
 %%WWWDIR%%/internal-init.php
 %%WWWDIR%%/libs/Smarty
+%%WWWDIR%%/libs/jquery/images/arrowdown.gif
+%%WWWDIR%%/libs/jquery/images/arrowleft.gif
+%%WWWDIR%%/libs/jquery/images/arrowright.gif
+%%WWWDIR%%/libs/jquery/images/arrowup.gif
+%%WWWDIR%%/libs/jquery/images/bl.gif
+%%WWWDIR%%/libs/jquery/images/bl.png
+%%WWWDIR%%/libs/jquery/images/br.gif
+%%WWWDIR%%/libs/jquery/images/br.png
+%%WWWDIR%%/libs/jquery/images/darrowdown.gif
+%%WWWDIR%%/libs/jquery/images/darrowleft.gif
+%%WWWDIR%%/libs/jquery/images/darrowright.gif
+%%WWWDIR%%/libs/jquery/images/darrowup.gif
+%%WWWDIR%%/libs/jquery/images/loadingAnimation.gif
+%%WWWDIR%%/libs/jquery/images/rarrowdown.gif
+%%WWWDIR%%/libs/jquery/images/rarrowleft.gif
+%%WWWDIR%%/libs/jquery/images/rarrowright.gif
+%%WWWDIR%%/libs/jquery/images/rarrowup.gif
+%%WWWDIR%%/libs/jquery/images/tl.gif
+%%WWWDIR%%/libs/jquery/images/tl.png
+%%WWWDIR%%/libs/jquery/images/tr.gif
+%%WWWDIR%%/libs/jquery/images/tr.png
+%%WWWDIR%%/libs/jquery/jquery-1.4.2.min.js
+%%WWWDIR%%/libs/jquery/jquery-ui.min.js
+%%WWWDIR%%/libs/jquery/jquery.bgiframe.js
+%%WWWDIR%%/libs/jquery/jquery.dimensions.js
+%%WWWDIR%%/libs/jquery/jquery.hoverIntent.js
+%%WWWDIR%%/libs/jquery/jquery.tooltip.css
+%%WWWDIR%%/libs/jquery/jquery.tooltip.js
+%%WWWDIR%%/libs/jquery/jquery.tooltip.min.js
+%%WWWDIR%%/libs/jquery/jquery.tooltip.pack.js
+%%WWWDIR%%/libs/jquery/macFFBgHack.png
+%%WWWDIR%%/libs/jquery/selectToUISlider.jQuery.js
+%%WWWDIR%%/libs/jquery/simpletip.js
+%%WWWDIR%%/libs/jquery/thickbox.css
+%%WWWDIR%%/libs/jquery/thickbox.js
+%%WWWDIR%%/libs/jquery/ui.slider.extras.css
+%%WWWDIR%%/libs/jquery/wait.gif
 %%WWWDIR%%/libs/pngfix.js
 %%WWWDIR%%/list-cache.php
+%%WWWDIR%%/locale/cs/admindex.php
+%%WWWDIR%%/locale/cs/admindomains.php
+%%WWWDIR%%/locale/cs/adminhelp.php
+%%WWWDIR%%/locale/cs/adminlanguages.php
+%%WWWDIR%%/locale/cs/adminstats.php
+%%WWWDIR%%/locale/cs/adminsystem.php
+%%WWWDIR%%/locale/cs/adminthemes.php
+%%WWWDIR%%/locale/cs/adminusers.php
+%%WWWDIR%%/locale/cs/adminviruses.php
+%%WWWDIR%%/locale/cs/auth.php
+%%WWWDIR%%/locale/cs/confirmspam.php
+%%WWWDIR%%/locale/cs/db.php
+%%WWWDIR%%/locale/cs/deleteitem.php
+%%WWWDIR%%/locale/cs/deliver.php
+%%WWWDIR%%/locale/cs/display.php
+%%WWWDIR%%/locale/cs/domainsettings.php
+%%WWWDIR%%/locale/cs/falsenegative.php
+%%WWWDIR%%/locale/cs/help.php
+%%WWWDIR%%/locale/cs/internal-init.php
+%%WWWDIR%%/locale/cs/login.php
+%%WWWDIR%%/locale/cs/logout.php
+%%WWWDIR%%/locale/cs/mime.php
+%%WWWDIR%%/locale/cs/quarantine.php
+%%WWWDIR%%/locale/cs/reportspam.php
+%%WWWDIR%%/locale/cs/rulestats.php
+%%WWWDIR%%/locale/cs/settings.php
+%%WWWDIR%%/locale/cs/smtp.php
+%%WWWDIR%%/locale/cs/stats.php
+%%WWWDIR%%/locale/cs/viewmail.php
+%%WWWDIR%%/locale/cs/virusstats.php
+%%WWWDIR%%/locale/cs/wblist.php
+%%WWWDIR%%/locale/cs/welcome.php
+%%WWWDIR%%/locale/cs/xadminusers.php
+%%WWWDIR%%/locale/cs/xlogin.php
+%%WWWDIR%%/locale/da/admindex.php
+%%WWWDIR%%/locale/da/admindomains.php
+%%WWWDIR%%/locale/da/adminhelp.php
+%%WWWDIR%%/locale/da/adminlanguages.php
+%%WWWDIR%%/locale/da/adminstats.php
+%%WWWDIR%%/locale/da/adminsystem.php
+%%WWWDIR%%/locale/da/adminthemes.php
+%%WWWDIR%%/locale/da/adminusers.php
+%%WWWDIR%%/locale/da/adminviruses.php
+%%WWWDIR%%/locale/da/auth.php
+%%WWWDIR%%/locale/da/confirmspam.php
+%%WWWDIR%%/locale/da/db.php
+%%WWWDIR%%/locale/da/deleteitem.php
+%%WWWDIR%%/locale/da/deliver.php
+%%WWWDIR%%/locale/da/display.php
+%%WWWDIR%%/locale/da/domainsettings.php
+%%WWWDIR%%/locale/da/falsenegative.php
+%%WWWDIR%%/locale/da/help.php
+%%WWWDIR%%/locale/da/internal-init.php
+%%WWWDIR%%/locale/da/login.php
+%%WWWDIR%%/locale/da/logout.php
+%%WWWDIR%%/locale/da/mime.php
+%%WWWDIR%%/locale/da/quarantine.php
+%%WWWDIR%%/locale/da/quickstats.php
+%%WWWDIR%%/locale/da/reportspam.php
+%%WWWDIR%%/locale/da/rulestats.php
+%%WWWDIR%%/locale/da/settings.php
+%%WWWDIR%%/locale/da/smtp.php
+%%WWWDIR%%/locale/da/stats.php
+%%WWWDIR%%/locale/da/viewmail.php
+%%WWWDIR%%/locale/da/virusstats.php
+%%WWWDIR%%/locale/da/wblist.php
+%%WWWDIR%%/locale/da/welcome.php
+%%WWWDIR%%/locale/da/xadminusers.php
+%%WWWDIR%%/locale/da/xlogin.php
+%%WWWDIR%%/locale/de/admindex.php
+%%WWWDIR%%/locale/de/admindomains.php
+%%WWWDIR%%/locale/de/adminhelp.php
+%%WWWDIR%%/locale/de/adminlanguages.php
+%%WWWDIR%%/locale/de/adminstats.php
+%%WWWDIR%%/locale/de/adminsystem.php
+%%WWWDIR%%/locale/de/adminthemes.php
+%%WWWDIR%%/locale/de/adminusers.php
+%%WWWDIR%%/locale/de/adminviruses.php
+%%WWWDIR%%/locale/de/auth.php
+%%WWWDIR%%/locale/de/confirmspam.php
+%%WWWDIR%%/locale/de/db.php
+%%WWWDIR%%/locale/de/deleteitem.php
+%%WWWDIR%%/locale/de/deliver.php
+%%WWWDIR%%/locale/de/display.php
+%%WWWDIR%%/locale/de/domainsettings.php
+%%WWWDIR%%/locale/de/falsenegative.php
+%%WWWDIR%%/locale/de/help.php
+%%WWWDIR%%/locale/de/internal-init.php
+%%WWWDIR%%/locale/de/listcache.php
+%%WWWDIR%%/locale/de/login.php
+%%WWWDIR%%/locale/de/logout.php
+%%WWWDIR%%/locale/de/mime.php
+%%WWWDIR%%/locale/de/quarantine.php
+%%WWWDIR%%/locale/de/quickstats.php
+%%WWWDIR%%/locale/de/reportspam.php
+%%WWWDIR%%/locale/de/rulestats.php
+%%WWWDIR%%/locale/de/settings.php
+%%WWWDIR%%/locale/de/smtp.php
+%%WWWDIR%%/locale/de/stats.php
+%%WWWDIR%%/locale/de/viewmail.php
+%%WWWDIR%%/locale/de/virusstats.php
+%%WWWDIR%%/locale/de/wblist.php
+%%WWWDIR%%/locale/de/welcome.php
+%%WWWDIR%%/locale/de/xadminusers.php
+%%WWWDIR%%/locale/de/xlogin.php
 %%WWWDIR%%/locale/en/admindex.php
 %%WWWDIR%%/locale/en/admindomains.php
 %%WWWDIR%%/locale/en/adminhelp.php
@@ -89,13 +240,16 @@
 %%WWWDIR%%/locale/en/deliver.php
 %%WWWDIR%%/locale/en/display.php
 %%WWWDIR%%/locale/en/domainsettings.php
+%%WWWDIR%%/locale/en/errors.php
 %%WWWDIR%%/locale/en/falsenegative.php
 %%WWWDIR%%/locale/en/help.php
 %%WWWDIR%%/locale/en/internal-init.php
+%%WWWDIR%%/locale/en/listcache.php
 %%WWWDIR%%/locale/en/login.php
 %%WWWDIR%%/locale/en/logout.php
 %%WWWDIR%%/locale/en/mime.php
 %%WWWDIR%%/locale/en/quarantine.php
+%%WWWDIR%%/locale/en/quickstats.php
 %%WWWDIR%%/locale/en/reportspam.php
 %%WWWDIR%%/locale/en/rulestats.php
 %%WWWDIR%%/locale/en/settings.php
@@ -107,9 +261,292 @@
 %%WWWDIR%%/locale/en/welcome.php
 %%WWWDIR%%/locale/en/xadminusers.php
 %%WWWDIR%%/locale/en/xlogin.php
+%%WWWDIR%%/locale/fr/admindex.php
+%%WWWDIR%%/locale/fr/admindomains.php
+%%WWWDIR%%/locale/fr/adminhelp.php
+%%WWWDIR%%/locale/fr/adminlanguages.php
+%%WWWDIR%%/locale/fr/adminstats.php
+%%WWWDIR%%/locale/fr/adminsystem.php
+%%WWWDIR%%/locale/fr/adminusers.php
+%%WWWDIR%%/locale/fr/adminviruses.php
+%%WWWDIR%%/locale/fr/auth.php
+%%WWWDIR%%/locale/fr/confirmspam.php
+%%WWWDIR%%/locale/fr/db.php
+%%WWWDIR%%/locale/fr/deleteitem.php
+%%WWWDIR%%/locale/fr/deliver.php
+%%WWWDIR%%/locale/fr/display.php
+%%WWWDIR%%/locale/fr/domainsettings.php
+%%WWWDIR%%/locale/fr/falsenegative.php
+%%WWWDIR%%/locale/fr/help.php
+%%WWWDIR%%/locale/fr/internal-init.php
+%%WWWDIR%%/locale/fr/login.php
+%%WWWDIR%%/locale/fr/logout.php
+%%WWWDIR%%/locale/fr/mime.php
+%%WWWDIR%%/locale/fr/quarantine.php
+%%WWWDIR%%/locale/fr/quickstats.php
+%%WWWDIR%%/locale/fr/reportspam.php
+%%WWWDIR%%/locale/fr/rulestats.php
+%%WWWDIR%%/locale/fr/settings.php
+%%WWWDIR%%/locale/fr/smtp.php
+%%WWWDIR%%/locale/fr/stats.php
+%%WWWDIR%%/locale/fr/viewmail.php
+%%WWWDIR%%/locale/fr/virusstats.php
+%%WWWDIR%%/locale/fr/wblist.php
+%%WWWDIR%%/locale/fr/welcome.php
+%%WWWDIR%%/locale/fr/xadminusers.php
+%%WWWDIR%%/locale/fr/xlogin.php
+%%WWWDIR%%/locale/hu/admindex.php
+%%WWWDIR%%/locale/hu/admindomains.php
+%%WWWDIR%%/locale/hu/adminhelp.php
+%%WWWDIR%%/locale/hu/adminlanguages.php
+%%WWWDIR%%/locale/hu/adminstats.php
+%%WWWDIR%%/locale/hu/adminsystem.php
+%%WWWDIR%%/locale/hu/adminusers.php
+%%WWWDIR%%/locale/hu/adminviruses.php
+%%WWWDIR%%/locale/hu/auth.php
+%%WWWDIR%%/locale/hu/confirmspam.php
+%%WWWDIR%%/locale/hu/db.php
+%%WWWDIR%%/locale/hu/deleteitem.php
+%%WWWDIR%%/locale/hu/deliver.php
+%%WWWDIR%%/locale/hu/display.php
+%%WWWDIR%%/locale/hu/domainsettings.php
+%%WWWDIR%%/locale/hu/falsenegative.php
+%%WWWDIR%%/locale/hu/help.php
+%%WWWDIR%%/locale/hu/internal-init.php
+%%WWWDIR%%/locale/hu/login.php
+%%WWWDIR%%/locale/hu/logout.php
+%%WWWDIR%%/locale/hu/mime.php
+%%WWWDIR%%/locale/hu/quarantine.php
+%%WWWDIR%%/locale/hu/quickstats.php
+%%WWWDIR%%/locale/hu/reportspam.php
+%%WWWDIR%%/locale/hu/rulestats.php
+%%WWWDIR%%/locale/hu/settings.php
+%%WWWDIR%%/locale/hu/smtp.php
+%%WWWDIR%%/locale/hu/stats.php
+%%WWWDIR%%/locale/hu/viewmail.php
+%%WWWDIR%%/locale/hu/virusstats.php
+%%WWWDIR%%/locale/hu/wblist.php
+%%WWWDIR%%/locale/hu/welcome.php
+%%WWWDIR%%/locale/hu/xadminusers.php
+%%WWWDIR%%/locale/hu/xlogin.php
+%%WWWDIR%%/locale/it/README
+%%WWWDIR%%/locale/it/admindex.php
+%%WWWDIR%%/locale/it/admindomains.php
+%%WWWDIR%%/locale/it/adminhelp.php
+%%WWWDIR%%/locale/it/adminlanguages.php
+%%WWWDIR%%/locale/it/adminstats.php
+%%WWWDIR%%/locale/it/adminsystem.php
+%%WWWDIR%%/locale/it/adminthemes.php
+%%WWWDIR%%/locale/it/adminusers.php
+%%WWWDIR%%/locale/it/adminviruses.php
+%%WWWDIR%%/locale/it/auth.php
+%%WWWDIR%%/locale/it/confirmspam.php
+%%WWWDIR%%/locale/it/db.php
+%%WWWDIR%%/locale/it/deleteitem.php
+%%WWWDIR%%/locale/it/deliver.php
+%%WWWDIR%%/locale/it/display.php
+%%WWWDIR%%/locale/it/domainsettings.php
+%%WWWDIR%%/locale/it/falsenegative.php
+%%WWWDIR%%/locale/it/help.php
+%%WWWDIR%%/locale/it/internal-init.php
+%%WWWDIR%%/locale/it/login.php
+%%WWWDIR%%/locale/it/logout.php
+%%WWWDIR%%/locale/it/mime.php
+%%WWWDIR%%/locale/it/quarantine.php
+%%WWWDIR%%/locale/it/reportspam.php
+%%WWWDIR%%/locale/it/rulestats.php
+%%WWWDIR%%/locale/it/settings.php
+%%WWWDIR%%/locale/it/smtp.php
+%%WWWDIR%%/locale/it/stats.php
+%%WWWDIR%%/locale/it/viewmail.php
+%%WWWDIR%%/locale/it/virusstats.php
+%%WWWDIR%%/locale/it/wblist.php
+%%WWWDIR%%/locale/it/welcome.php
+%%WWWDIR%%/locale/it/xadminusers.php
+%%WWWDIR%%/locale/it/xlogin.php
+%%WWWDIR%%/locale/nl/admindex.php
+%%WWWDIR%%/locale/nl/admindomains.php
+%%WWWDIR%%/locale/nl/adminhelp.php
+%%WWWDIR%%/locale/nl/adminlanguages.php
+%%WWWDIR%%/locale/nl/adminstats.php
+%%WWWDIR%%/locale/nl/adminsystem.php
+%%WWWDIR%%/locale/nl/adminthemes.php
+%%WWWDIR%%/locale/nl/adminusers.php
+%%WWWDIR%%/locale/nl/adminviruses.php
+%%WWWDIR%%/locale/nl/auth.php
+%%WWWDIR%%/locale/nl/confirmspam.php
+%%WWWDIR%%/locale/nl/db.php
+%%WWWDIR%%/locale/nl/deleteitem.php
+%%WWWDIR%%/locale/nl/deliver.php
+%%WWWDIR%%/locale/nl/display.php
+%%WWWDIR%%/locale/nl/domainsettings.php
+%%WWWDIR%%/locale/nl/falsenegative.php
+%%WWWDIR%%/locale/nl/help.php
+%%WWWDIR%%/locale/nl/internal-init.php
+%%WWWDIR%%/locale/nl/login.php
+%%WWWDIR%%/locale/nl/logout.php
+%%WWWDIR%%/locale/nl/mime.php
+%%WWWDIR%%/locale/nl/quarantine.php
+%%WWWDIR%%/locale/nl/quickstats.php
+%%WWWDIR%%/locale/nl/reportspam.php
+%%WWWDIR%%/locale/nl/rulestats.php
+%%WWWDIR%%/locale/nl/settings.php
+%%WWWDIR%%/locale/nl/smtp.php
+%%WWWDIR%%/locale/nl/stats.php
+%%WWWDIR%%/locale/nl/viewmail.php
+%%WWWDIR%%/locale/nl/virusstats.php
+%%WWWDIR%%/locale/nl/wblist.php
+%%WWWDIR%%/locale/nl/welcome.php
+%%WWWDIR%%/locale/nl/xadminusers.php
+%%WWWDIR%%/locale/nl/xlogin.php
+%%WWWDIR%%/locale/no/admindex.php
+%%WWWDIR%%/locale/no/admindomains.php
+%%WWWDIR%%/locale/no/adminhelp.php
+%%WWWDIR%%/locale/no/adminlanguages.php
+%%WWWDIR%%/locale/no/adminstats.php
+%%WWWDIR%%/locale/no/adminsystem.php
+%%WWWDIR%%/locale/no/adminusers.php
+%%WWWDIR%%/locale/no/adminviruses.php
+%%WWWDIR%%/locale/no/auth.php
+%%WWWDIR%%/locale/no/confirmspam.php
+%%WWWDIR%%/locale/no/db.php
+%%WWWDIR%%/locale/no/deleteitem.php
+%%WWWDIR%%/locale/no/deliver.php
+%%WWWDIR%%/locale/no/display.php
+%%WWWDIR%%/locale/no/domainsettings.php
+%%WWWDIR%%/locale/no/falsenegative.php
+%%WWWDIR%%/locale/no/help.php
+%%WWWDIR%%/locale/no/internal-init.php
+%%WWWDIR%%/locale/no/login.php
+%%WWWDIR%%/locale/no/logout.php
+%%WWWDIR%%/locale/no/mime.php
+%%WWWDIR%%/locale/no/quarantine.php
+%%WWWDIR%%/locale/no/quickstats.php
+%%WWWDIR%%/locale/no/reportspam.php
+%%WWWDIR%%/locale/no/rulestats.php
+%%WWWDIR%%/locale/no/settings.php
+%%WWWDIR%%/locale/no/smtp.php
+%%WWWDIR%%/locale/no/stats.php
+%%WWWDIR%%/locale/no/viewmail.php
+%%WWWDIR%%/locale/no/virusstats.php
+%%WWWDIR%%/locale/no/wblist.php
+%%WWWDIR%%/locale/no/welcome.php
+%%WWWDIR%%/locale/no/xadminusers.php
+%%WWWDIR%%/locale/no/xlogin.php
+%%WWWDIR%%/locale/pt/admindex.php
+%%WWWDIR%%/locale/pt/admindomains.php
+%%WWWDIR%%/locale/pt/adminhelp.php
+%%WWWDIR%%/locale/pt/adminlanguages.php
+%%WWWDIR%%/locale/pt/adminstats.php
+%%WWWDIR%%/locale/pt/adminsystem.php
+%%WWWDIR%%/locale/pt/adminthemes.php
+%%WWWDIR%%/locale/pt/adminusers.php
+%%WWWDIR%%/locale/pt/adminviruses.php
+%%WWWDIR%%/locale/pt/auth.php
+%%WWWDIR%%/locale/pt/confirmspam.php
+%%WWWDIR%%/locale/pt/db.php
+%%WWWDIR%%/locale/pt/deleteitem.php
+%%WWWDIR%%/locale/pt/deliver.php
+%%WWWDIR%%/locale/pt/display.php
+%%WWWDIR%%/locale/pt/domainsettings.php
+%%WWWDIR%%/locale/pt/falsenegative.php
+%%WWWDIR%%/locale/pt/help.php
+%%WWWDIR%%/locale/pt/internal-init.php
+%%WWWDIR%%/locale/pt/login.php
+%%WWWDIR%%/locale/pt/logout.php
+%%WWWDIR%%/locale/pt/mime.php
+%%WWWDIR%%/locale/pt/quarantine.php
+%%WWWDIR%%/locale/pt/quickstats.php
+%%WWWDIR%%/locale/pt/reportspam.php
+%%WWWDIR%%/locale/pt/rulestats.php
+%%WWWDIR%%/locale/pt/settings.php
+%%WWWDIR%%/locale/pt/smtp.php
+%%WWWDIR%%/locale/pt/stats.php
+%%WWWDIR%%/locale/pt/viewmail.php
+%%WWWDIR%%/locale/pt/virusstats.php
+%%WWWDIR%%/locale/pt/wblist.php
+%%WWWDIR%%/locale/pt/welcome.php
+%%WWWDIR%%/locale/pt/xadminusers.php
+%%WWWDIR%%/locale/pt/xlogin.php
+%%WWWDIR%%/locale/ru/admindex.php
+%%WWWDIR%%/locale/ru/admindomains.php
+%%WWWDIR%%/locale/ru/adminhelp.php
+%%WWWDIR%%/locale/ru/adminlanguages.php
+%%WWWDIR%%/locale/ru/adminstats.php
+%%WWWDIR%%/locale/ru/adminsystem.php
+%%WWWDIR%%/locale/ru/adminthemes.php
+%%WWWDIR%%/locale/ru/adminusers.php
+%%WWWDIR%%/locale/ru/adminviruses.php
+%%WWWDIR%%/locale/ru/auth.php
+%%WWWDIR%%/locale/ru/confirmspam.php
+%%WWWDIR%%/locale/ru/db.php
+%%WWWDIR%%/locale/ru/deleteitem.php
+%%WWWDIR%%/locale/ru/deliver.php
+%%WWWDIR%%/locale/ru/display.php
+%%WWWDIR%%/locale/ru/domainsettings.php
+%%WWWDIR%%/locale/ru/falsenegative.php
+%%WWWDIR%%/locale/ru/help.php
+%%WWWDIR%%/locale/ru/internal-init.php
+%%WWWDIR%%/locale/ru/login.php
+%%WWWDIR%%/locale/ru/logout.php
+%%WWWDIR%%/locale/ru/mime.php
+%%WWWDIR%%/locale/ru/quarantine.php
+%%WWWDIR%%/locale/ru/reportspam.php
+%%WWWDIR%%/locale/ru/rulestats.php
+%%WWWDIR%%/locale/ru/settings.php
+%%WWWDIR%%/locale/ru/smtp.php
+%%WWWDIR%%/locale/ru/stats.php
+%%WWWDIR%%/locale/ru/viewmail.php
+%%WWWDIR%%/locale/ru/virusstats.php
+%%WWWDIR%%/locale/ru/wblist.php
+%%WWWDIR%%/locale/ru/welcome.php
+%%WWWDIR%%/locale/ru/xadminusers.php
+%%WWWDIR%%/locale/ru/xlogin.php
+%%WWWDIR%%/locale/sv/admindex.php
+%%WWWDIR%%/locale/sv/admindomains.php
+%%WWWDIR%%/locale/sv/adminhelp.php
+%%WWWDIR%%/locale/sv/adminlanguages.php
+%%WWWDIR%%/locale/sv/adminstats.php
+%%WWWDIR%%/locale/sv/adminsystem.php
+%%WWWDIR%%/locale/sv/adminusers.php
+%%WWWDIR%%/locale/sv/adminviruses.php
+%%WWWDIR%%/locale/sv/auth.php
+%%WWWDIR%%/locale/sv/confirmspam.php
+%%WWWDIR%%/locale/sv/db.php
+%%WWWDIR%%/locale/sv/deleteitem.php
+%%WWWDIR%%/locale/sv/deliver.php
+%%WWWDIR%%/locale/sv/display.php
+%%WWWDIR%%/locale/sv/domainsettings.php
+%%WWWDIR%%/locale/sv/falsenegative.php
+%%WWWDIR%%/locale/sv/help.php
+%%WWWDIR%%/locale/sv/internal-init.php
+%%WWWDIR%%/locale/sv/login.php
+%%WWWDIR%%/locale/sv/logout.php
+%%WWWDIR%%/locale/sv/mime.php
+%%WWWDIR%%/locale/sv/quarantine.php
+%%WWWDIR%%/locale/sv/quickstats.php
+%%WWWDIR%%/locale/sv/reportspam.php
+%%WWWDIR%%/locale/sv/rulestats.php
+%%WWWDIR%%/locale/sv/settings.php
+%%WWWDIR%%/locale/sv/smtp.php
+%%WWWDIR%%/locale/sv/stats.php
+%%WWWDIR%%/locale/sv/viewmail.php
+%%WWWDIR%%/locale/sv/virusstats.php
+%%WWWDIR%%/locale/sv/wblist.php
+%%WWWDIR%%/locale/sv/welcome.php
+%%WWWDIR%%/locale/sv/xadminusers.php
+%%WWWDIR%%/locale/sv/xlogin.php
 %%WWWDIR%%/login.php
 %%WWWDIR%%/logout.php
 %%WWWDIR%%/maia_db.php
+%%WWWDIR%%/maia_db/addresses.php
+%%WWWDIR%%/maia_db/admin.php
+%%WWWDIR%%/maia_db/cache_management.php
+%%WWWDIR%%/maia_db/domains.php
+%%WWWDIR%%/maia_db/stats.php
+%%WWWDIR%%/maia_db/user_management.php
+%%WWWDIR%%/maia_db/util.php
+%%WWWDIR%%/maia_db/wblist.php
 %%WWWDIR%%/maia_log.php
 %%WWWDIR%%/mailtools.php
 %%WWWDIR%%/mime.php
@@ -136,11 +573,34 @@
 %%WWWDIR%%/smarty.php
 %%WWWDIR%%/smtp.php
 %%WWWDIR%%/stats.php
+%%WWWDIR%%/themes/.htaccess
+%%WWWDIR%%/themes/desert_sand/code/function.form.php
+%%WWWDIR%%/themes/desert_sand/code/modifier.mb_truncate.php
 %%WWWDIR%%/themes/desert_sand/code/smarty.php
+%%WWWDIR%%/themes/desert_sand/css/.htaccess
+%%WWWDIR%%/themes/desert_sand/css/images/ui-bg_flat_75_aaaaaa_40x100.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-bg_glass_100_f5f0e5_1x400.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-bg_glass_70_ede4d4_1x400.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-bg_highlight-hard_100_f4f0ec_1x100.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-bg_highlight-hard_25_dfcfbf_1x100.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-bg_highlight-hard_65_fee4bd_1x100.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-bg_highlight-hard_75_f5f5b5_1x100.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-bg_highlight-soft_100_f4f0ec_1x100.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-icons_69491c_256x240.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-icons_7d5a2b_256x240.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-icons_9a6432_256x240.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-icons_b67c3a_256x240.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-icons_c99c69_256x240.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-icons_ff3b19_256x240.png
+%%WWWDIR%%/themes/desert_sand/css/images/ui-icons_ffffff_256x240.png
+%%WWWDIR%%/themes/desert_sand/css/jquery-ui-1.7.1.custom.css
 %%WWWDIR%%/themes/desert_sand/css/style.css
+%%WWWDIR%%/themes/desert_sand/images/.htaccess
+%%WWWDIR%%/themes/desert_sand/images/Cancel.png
 %%WWWDIR%%/themes/desert_sand/images/admin-int.png
 %%WWWDIR%%/themes/desert_sand/images/bad-header.png
 %%WWWDIR%%/themes/desert_sand/images/banned-file.png
+%%WWWDIR%%/themes/desert_sand/images/blockallow.png
 %%WWWDIR%%/themes/desert_sand/images/blocked.jpg
 %%WWWDIR%%/themes/desert_sand/images/buttonbg.gif
 %%WWWDIR%%/themes/desert_sand/images/delete-item.png
@@ -150,21 +610,35 @@
 %%WWWDIR%%/themes/desert_sand/images/highprotection.png
 %%WWWDIR%%/themes/desert_sand/images/logout.png
 %%WWWDIR%%/themes/desert_sand/images/lowprotection.png
+%%WWWDIR%%/themes/desert_sand/images/maia-logo-old.gif
 %%WWWDIR%%/themes/desert_sand/images/maia-logo.gif
 %%WWWDIR%%/themes/desert_sand/images/maia-logotoolbar.gif
+%%WWWDIR%%/themes/desert_sand/images/paw-logo-black.png
 %%WWWDIR%%/themes/desert_sand/images/poweredbymaia.gif
 %%WWWDIR%%/themes/desert_sand/images/quarantine.png
+%%WWWDIR%%/themes/desert_sand/images/redgreenballs.png
 %%WWWDIR%%/themes/desert_sand/images/redo.png
 %%WWWDIR%%/themes/desert_sand/images/report-spam.png
 %%WWWDIR%%/themes/desert_sand/images/rescue-item.png
 %%WWWDIR%%/themes/desert_sand/images/settings.png
 %%WWWDIR%%/themes/desert_sand/images/spam.png
+%%WWWDIR%%/themes/desert_sand/images/square-gray-decoded.gif
+%%WWWDIR%%/themes/desert_sand/images/square-gray-delete.gif
+%%WWWDIR%%/themes/desert_sand/images/square-gray-ham.gif
+%%WWWDIR%%/themes/desert_sand/images/square-gray-left.gif
+%%WWWDIR%%/themes/desert_sand/images/square-gray-raw.gif
+%%WWWDIR%%/themes/desert_sand/images/square-gray-resend.gif
+%%WWWDIR%%/themes/desert_sand/images/square-gray-right.gif
+%%WWWDIR%%/themes/desert_sand/images/square-gray-spam.gif
+%%WWWDIR%%/themes/desert_sand/images/square-gray-sprite.png
 %%WWWDIR%%/themes/desert_sand/images/stats.png
 %%WWWDIR%%/themes/desert_sand/images/view-decoded.png
 %%WWWDIR%%/themes/desert_sand/images/view-raw.png
 %%WWWDIR%%/themes/desert_sand/images/virus.png
 %%WWWDIR%%/themes/desert_sand/images/welcome.png
 %%WWWDIR%%/themes/desert_sand/images/white-black-list.png
+%%WWWDIR%%/themes/desert_sand/javascript/.htaccess
+%%WWWDIR%%/themes/desert_sand/javascript/desert_sand.js
 %%WWWDIR%%/themes/desert_sand/name
 %%WWWDIR%%/themes/desert_sand/templates/admindomains.tpl
 %%WWWDIR%%/themes/desert_sand/templates/adminhelp.tpl
@@ -190,12 +664,25 @@
 %%WWWDIR%%/themes/desert_sand/templates/menu.tpl
 %%WWWDIR%%/themes/desert_sand/templates/rulestats.tpl
 %%WWWDIR%%/themes/desert_sand/templates/settings.tpl
+%%WWWDIR%%/themes/desert_sand/templates/settings/_address.tpl
+%%WWWDIR%%/themes/desert_sand/templates/settings/_addresslist.tpl
+%%WWWDIR%%/themes/desert_sand/templates/settings/_changelogin.tpl
+%%WWWDIR%%/themes/desert_sand/templates/settings/_domainadmin.tpl
+%%WWWDIR%%/themes/desert_sand/templates/settings/_misc.tpl
+%%WWWDIR%%/themes/desert_sand/templates/settings/_transport.tpl
+%%WWWDIR%%/themes/desert_sand/templates/settings/_userlist-table.tpl
 %%WWWDIR%%/themes/desert_sand/templates/stats.tpl
+%%WWWDIR%%/themes/desert_sand/templates/view-headers.tpl
+%%WWWDIR%%/themes/desert_sand/templates/view-message.tpl
+%%WWWDIR%%/themes/desert_sand/templates/view-smtp.tpl
 %%WWWDIR%%/themes/desert_sand/templates/view.tpl
 %%WWWDIR%%/themes/desert_sand/templates/viewmail_menu.tpl
 %%WWWDIR%%/themes/desert_sand/templates/virusstats.tpl
 %%WWWDIR%%/themes/desert_sand/templates/wblist.tpl
 %%WWWDIR%%/themes/desert_sand/templates/welcome.tpl
+%%WWWDIR%%/themes/desert_sand/templates/welcome/_protection.tpl
+%%WWWDIR%%/themes/desert_sand/templates/welcome/_quickview.tpl
+%%WWWDIR%%/themes/desert_sand/templates/welcome/_stats.tpl
 %%WWWDIR%%/themes/desert_sand/templates/xadminstats.tpl
 %%WWWDIR%%/themes/desert_sand/templates/xadminusers.tpl
 %%WWWDIR%%/themes/desert_sand/templates/xdomainsettings.tpl
@@ -293,7 +780,27 @@
 %%WWWDIR%%/themes/dgm/templates/xadminusers.tpl
 %%WWWDIR%%/themes/dgm/templates/xdomainsettings.tpl
 %%WWWDIR%%/themes/dgm/templates/xlogin.tpl
+%%WWWDIR%%/themes/ocean_surf/code/function.form.php
+%%WWWDIR%%/themes/ocean_surf/code/modifier.mb_truncate.php
+%%WWWDIR%%/themes/ocean_surf/css/.htaccess
+%%WWWDIR%%/themes/ocean_surf/css/images/ui-bg_flat_0_aaaaaa_40x100.png
+%%WWWDIR%%/themes/ocean_surf/css/images/ui-bg_flat_55_fbec88_40x100.png
+%%WWWDIR%%/themes/ocean_surf/css/images/ui-bg_glass_75_CEF3FF_1x400.png
+%%WWWDIR%%/themes/ocean_surf/css/images/ui-bg_glass_85_6FDBFF_1x400.png
+%%WWWDIR%%/themes/ocean_surf/css/images/ui-bg_glass_95_fef1ec_1x400.png
+%%WWWDIR%%/themes/ocean_surf/css/images/ui-bg_gloss-wave_55_B0ECFF_500x100.png
+%%WWWDIR%%/themes/ocean_surf/css/images/ui-bg_inset-hard_100_dbf6ff_1x100.png
+%%WWWDIR%%/themes/ocean_surf/css/images/ui-bg_inset-hard_100_e5f9ff_1x100.png
+%%WWWDIR%%/themes/ocean_surf/css/images/ui-icons_008bb8_256x240.png
+%%WWWDIR%%/themes/ocean_surf/css/images/ui-icons_2e4d57_256x240.png
+%%WWWDIR%%/themes/ocean_surf/css/images/ui-icons_2e83ff_256x240.png
+%%WWWDIR%%/themes/ocean_surf/css/images/ui-icons_cd0a0a_256x240.png
+%%WWWDIR%%/themes/ocean_surf/css/jquery-ui-1.7.1.custom.css
 %%WWWDIR%%/themes/ocean_surf/css/style.css
+%%WWWDIR%%/themes/ocean_surf/images/.htaccess
+%%WWWDIR%%/themes/ocean_surf/images/Add.png
+%%WWWDIR%%/themes/ocean_surf/images/Cancel.png
+%%WWWDIR%%/themes/ocean_surf/images/Delete.png
 %%WWWDIR%%/themes/ocean_surf/images/admin-int.png
 %%WWWDIR%%/themes/ocean_surf/images/bad-header.png
 %%WWWDIR%%/themes/ocean_surf/images/banned-file.png
@@ -304,21 +811,27 @@
 %%WWWDIR%%/themes/ocean_surf/images/ham.png
 %%WWWDIR%%/themes/ocean_surf/images/help.png
 %%WWWDIR%%/themes/ocean_surf/images/logout.png
+%%WWWDIR%%/themes/ocean_surf/images/maia-logo-old.gif
 %%WWWDIR%%/themes/ocean_surf/images/maia-logo.gif
 %%WWWDIR%%/themes/ocean_surf/images/maia-logotoolbar.gif
+%%WWWDIR%%/themes/ocean_surf/images/paw-logo-black.png
 %%WWWDIR%%/themes/ocean_surf/images/poweredbymaia.gif
 %%WWWDIR%%/themes/ocean_surf/images/quarantine.png
+%%WWWDIR%%/themes/ocean_surf/images/redgreenballs.png
 %%WWWDIR%%/themes/ocean_surf/images/redo.png
 %%WWWDIR%%/themes/ocean_surf/images/report-spam.png
 %%WWWDIR%%/themes/ocean_surf/images/rescue-item.png
 %%WWWDIR%%/themes/ocean_surf/images/settings.png
 %%WWWDIR%%/themes/ocean_surf/images/spam.png
+%%WWWDIR%%/themes/ocean_surf/images/square-gray-sprite.png
 %%WWWDIR%%/themes/ocean_surf/images/stats.png
 %%WWWDIR%%/themes/ocean_surf/images/view-decoded.png
 %%WWWDIR%%/themes/ocean_surf/images/view-raw.png
 %%WWWDIR%%/themes/ocean_surf/images/virus.png
 %%WWWDIR%%/themes/ocean_surf/images/welcome.png
 %%WWWDIR%%/themes/ocean_surf/images/white-black-list.png
+%%WWWDIR%%/themes/ocean_surf/javascript/.htaccess
+%%WWWDIR%%/themes/ocean_surf/javascript/ocean_blue.js
 %%WWWDIR%%/themes/ocean_surf/name
 %%WWWDIR%%/themes/ocean_surf/templates/admindomains.tpl
 %%WWWDIR%%/themes/ocean_surf/templates/adminhelp.tpl
@@ -345,7 +858,17 @@
 %%WWWDIR%%/themes/ocean_surf/templates/menu_top.tpl
 %%WWWDIR%%/themes/ocean_surf/templates/rulestats.tpl
 %%WWWDIR%%/themes/ocean_surf/templates/settings.tpl
+%%WWWDIR%%/themes/ocean_surf/templates/settings/_address.tpl
+%%WWWDIR%%/themes/ocean_surf/templates/settings/_addresslist.tpl
+%%WWWDIR%%/themes/ocean_surf/templates/settings/_changelogin.tpl
+%%WWWDIR%%/themes/ocean_surf/templates/settings/_domainadmin.tpl
+%%WWWDIR%%/themes/ocean_surf/templates/settings/_misc.tpl
+%%WWWDIR%%/themes/ocean_surf/templates/settings/_transport.tpl
+%%WWWDIR%%/themes/ocean_surf/templates/settings/_userlist-table.tpl
 %%WWWDIR%%/themes/ocean_surf/templates/stats.tpl
+%%WWWDIR%%/themes/ocean_surf/templates/view-headers.tpl
+%%WWWDIR%%/themes/ocean_surf/templates/view-message.tpl
+%%WWWDIR%%/themes/ocean_surf/templates/view-smtp.tpl
 %%WWWDIR%%/themes/ocean_surf/templates/view.tpl
 %%WWWDIR%%/themes/ocean_surf/templates/viewmail_menu.tpl
 %%WWWDIR%%/themes/ocean_surf/templates/virusstats.tpl
@@ -372,10 +895,15 @@
 %%WWWDIR%%/xdomainsettings.php
 %%WWWDIR%%/ximpersonate.php
 %%WWWDIR%%/xlogin.php
+%%WWWDIR%%/xsettings.php
+@dirrm %%WWWDIR%%/themes/ocean_surf/templates/settings
 @dirrm %%WWWDIR%%/themes/ocean_surf/templates
+@dirrm %%WWWDIR%%/themes/ocean_surf/javascript
 @dirrm %%WWWDIR%%/themes/ocean_surf/images
+@dirrm %%WWWDIR%%/themes/ocean_surf/css/images
 @dirrm %%WWWDIR%%/themes/ocean_surf/css
 @dirrm %%WWWDIR%%/themes/ocean_surf/compiled
+@dirrm %%WWWDIR%%/themes/ocean_surf/code
 @dirrm %%WWWDIR%%/themes/ocean_surf
 @dirrm %%WWWDIR%%/themes/dgm/templates
 @dirrm %%WWWDIR%%/themes/dgm/images
@@ -383,8 +911,12 @@
 @dirrm %%WWWDIR%%/themes/dgm/compiled
 @dirrm %%WWWDIR%%/themes/dgm/code
 @dirrm %%WWWDIR%%/themes/dgm
+@dirrm %%WWWDIR%%/themes/desert_sand/templates/welcome
+@dirrm %%WWWDIR%%/themes/desert_sand/templates/settings
 @dirrm %%WWWDIR%%/themes/desert_sand/templates
+@dirrm %%WWWDIR%%/themes/desert_sand/javascript
 @dirrm %%WWWDIR%%/themes/desert_sand/images
+@dirrm %%WWWDIR%%/themes/desert_sand/css/images
 @dirrm %%WWWDIR%%/themes/desert_sand/css
 @dirrm %%WWWDIR%%/themes/desert_sand/compiled
 @dirrm %%WWWDIR%%/themes/desert_sand/code
@@ -392,8 +924,22 @@
 @dirrm %%WWWDIR%%/themes
 @dirrm %%WWWDIR%%/overlib/mini
 @dirrm %%WWWDIR%%/overlib
+@dirrm %%WWWDIR%%/maia_db
+@dirrm %%WWWDIR%%/locale/sv
+@dirrm %%WWWDIR%%/locale/ru
+@dirrm %%WWWDIR%%/locale/pt
+@dirrm %%WWWDIR%%/locale/no
+@dirrm %%WWWDIR%%/locale/nl
+@dirrm %%WWWDIR%%/locale/it
+@dirrm %%WWWDIR%%/locale/hu
+@dirrm %%WWWDIR%%/locale/fr
 @dirrm %%WWWDIR%%/locale/en
+@dirrm %%WWWDIR%%/locale/de
+@dirrm %%WWWDIR%%/locale/da
+@dirrm %%WWWDIR%%/locale/cs
 @dirrm %%WWWDIR%%/locale
+@dirrm %%WWWDIR%%/libs/jquery/images
+@dirrm %%WWWDIR%%/libs/jquery
 @dirrm %%WWWDIR%%/libs
 @dirrm %%WWWDIR%%/images
 @dirrm %%WWWDIR%%/admin/scripts